Page MenuHomePhabricator

Oauth for PAWS fails - presumably because of username change
Closed, ResolvedPublic

Description

I cannot login to PAWS via Oauth anymore, presumably because I just got my username changed (Fabian_Flöck to FaFlo) - since it stopped working immediately after.

I get redirected to the Oauth page, but after hitting "allow" I just get a 502 Bad Gateway after a while.

FWIW, Oauth still works fine with other applications after the username change.

Event Timeline

FaFlo created this task.Mar 29 2017, 11:29 AM

Related: T135306
Yes, paws locally save username at the first login. Thé new name broke it.

Tgr added a subscriber: Tgr.Mar 29 2017, 5:57 PM

Is T136114 related?

You can use the central user ID (the sub field of the identifying JWT) as a more stable identifier.

FaFlo added a comment.EditedMar 30 2017, 8:45 AM

so, is there a solution? sounds like a quick fix would be replacing the name in the paws record. I would also be fine with my user being deleted from paws and to then do a new first login (I don't have anything important on there yet).

any news on this?

can you try https://paws.tools.wmflabs.org? It's a new installation of PAWS (you get to keep all your old files!). I'll switch out the URL in a couple days if it goes well :)

FaFlo closed this task as Resolved.Aug 2 2017, 11:46 AM
FaFlo claimed this task.

Seems to work - thanks :)